#!/bin/bash
set -e

#if [ -z "$1" ]; then
#    echo "Uso: $0 <PARAMETRO>"
#    exit 1
#fi

# Leer versión desde version.h
VERSION=$(grep '#define VERSIO' source/versio.h | sed 's/.*"\(.*\)".*/\1/')
echo "Versión detectada: $VERSION"

#PARAM=$1

# Datos Windows
WIN_USER="raimon"
WIN_HOST="tonlab19"
WIN_PATH_SSH="C:\Users\raimon\dev\thepool"
WIN_PATH_SCP="C:/Users/Raimon/dev/thepool"

echo "=== Compilando Linux ==="
make linux

echo "=== Empaquetando data.jf2 Linux ==="
respak2 -p

echo "=== Empaquetando ZIP Linux ==="
tar -czf thepool_${VERSION}_linux.tar.gz thepool data.jf2

echo "=== Ejecutando build remoto Windows ==="
ssh ${WIN_USER}@${WIN_HOST} "cd ${WIN_PATH_SSH} && do_release.bat ${VERSION}"

echo "=== Copiando ZIPs desde Windows ==="
scp ${WIN_USER}@${WIN_HOST}:"${WIN_PATH_SCP}/thepool_${VERSION}_win32-x64.zip" .

echo "=== Build completado correctamente ==="
echo "Generados:"
echo "  thepool_${VERSION}_linux.tar.gz"
echo "  thepool_${VERSION}_win32-x64.zip"
